# $Revision: 1.27 $, $Date: 2007/01/23 15:46:54 $
%define		mod_name	video
%define 	apxs		/usr/sbin/apxs1
Summary:	Shows images grabbed from a v4l device
Summary(pl):	Wywietla obrazy zrzucone z urzdzenia v4l
Name:		apache1-mod_%{mod_name}
Version:	0.1.0
Release:	3
License:	GPL v2
Group:		Networking/Daemons
Source0:	http://borud.no/mod_video/download/mod_%{mod_name}-%{version}.tar.gz
# Source0-md5:	c1def4425d597596a1c4c5bb0f607085
Patch0:		%{name}-webcam.patch
URL:		http://modvideo.sourceforge.net/
BuildRequires:	%{apxs}
BuildRequires:	apache1-devel >= 1.3.33-2
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	zlib-devel
Requires(triggerpostun):	%{apxs}
Requires:	apache1(EAPI)
Obsoletes:	apache-mod_video <= 0.1.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)

%description
This package contains an Apache module for serving snapshots from the
video4linux API.

%description -l pl
Pakiet ten zawiera modu do Apache umoliwiajcy serwowanie zdj
bezporednio generowanych z kamer obsugiwanych poprzez video4linux
API.

%prep
%setup -q -n mod_%{mod_name}-%{version}
%patch0 -p1

%build
%{apxs} -c mod_%{mod_name}.c -o mod_%{mod_name}.so -lpng -ljpeg

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}/conf.d}

install mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}/mod_%{mod_name}.so

echo 'LoadModule %{mod_name}_module	modules/mod_%{mod_name}.so' > \
	$RPM_BUILD_ROOT%{_sysconfdir}/conf.d/90_mod_%{mod_name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q apache restart

%postun
if [ "$1" = "0" ]; then
	%service -q apache restart
fi

%triggerpostun -- apache1-mod_%{mod_name} < 0.1.0-1.1
# check that they're not using old apache.conf
if grep -q '^Include conf\.d' /etc/apache/apache.conf; then
	%{apxs} -e -A -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
fi

%files
%defattr(644,root,root,755)
%doc doc/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache1-mod_video.spec,v $
Revision 1.27  2007/01/23 15:46:54  glen
- rel 3 (R: apache1(EAPI) instead of apache1)

Revision 1.26  2006/04/14 17:15:51  glen
- use %service

Revision 1.25  2006/04/14 16:54:38  glen
- obsoletes with constant version

Revision 1.24  2005/12/12 13:44:44  glen
- adapterized (sorted %verify attrs)

Revision 1.23  2005/02/16 17:52:15  glen
- restart apache in %postun rather in %preun as the config file, loading module
  is still there and module will be loaded after package is uninstalled, which
  later causes missing configuration file errors.

Revision 1.22  2005/02/15 12:03:39  glen
- rel 2; STBR

Revision 1.21  2005/02/10 01:48:18  glen
- confdir enabled apache1

Revision 1.20  2004/09/25 09:32:34  radek
- cosmetics

Revision 1.19  2004/09/19 19:29:57  radek
- release 1: renamed to apache1-*; waiting for server-side cp

Revision 1.18  2003/08/06 16:12:40  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.17  2003/07/07 19:05:55  qboosh
- fixed "small fixes"

Revision 1.16  2003/07/07 03:10:38  blues
- some small changes, inpired by kloczek

Revision 1.15  2003/05/26 16:24:24  malekith
- massive attack: adding Source-md5

Revision 1.14  2003/05/25 05:45:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2002/12/12 01:33:18  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.12  2002/08/13 15:06:22  grzegorz
- sed -e "s/%{_sbindir}\/apxs -e/\%{apxs} -e/"

Revision 1.11  2002/05/17 09:42:52  kloczek
- cosmetics.

Revision 1.10  2002/04/25 15:47:00  arturs
fixed a small typo

Revision 1.9  2002/02/23 01:23:23  kloczek
- adapterized.

Revision 1.8  2002/02/22 23:28:41  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/02/17 21:12:58  ankry
- release 3

Revision 1.6  2002/02/17 18:52:20  ankry
- added %%{apxs} local macro to avoid adapter problems
- fix use of %%{apxs} and %%{_sbindir}/apxs
- added BR %%{apxs} and Prereq %%{_sbindir}/apxs (if necessary); removed BR apache
- adapterized

Revision 1.5  2002/01/18 02:12:21  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/10/22 17:56:23  kloczek
- release 2.

Revision 1.3  2001/10/13 12:51:24  qboosh
- typos

Revision 1.2  2001/08/18 21:51:27  kloczek
- added %description.

Revision 1.1  2001/08/18 17:32:52  zagrodzki
- initial release
